org.apache.hadoop.hdfs

## Enum DFSOpsCountStatistics.OpType

- java.lang.Object
- - java.lang.Enum<DFSOpsCountStatistics.OpType>
  - - org.apache.hadoop.hdfs.DFSOpsCountStatistics.OpType

- All Implemented Interfaces:
    Serializable, Comparable<DFSOpsCountStatistics.OpType>
  Enclosing class:
    DFSOpsCountStatistics

      public static enum DFSOpsCountStatistics.OpType
      extends Enum<DFSOpsCountStatistics.OpType>

  This is for counting distributed file system operations.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADD_CACHE_DIRECTIVE`
    `ADD_CACHE_POOL`
    `ADD_EC_POLICY`
    `ALLOW_SNAPSHOT`
    `APPEND`
    `CONCAT`
    `COPY_FROM_LOCAL_FILE`
    `CREATE`
    `CREATE_ENCRYPTION_ZONE`
    `CREATE_NON_RECURSIVE`
    `CREATE_SNAPSHOT`
    `CREATE_SYM_LINK`
    `DELETE`
    `DELETE_SNAPSHOT`
    `DISABLE_EC_POLICY`
    `DISALLOW_SNAPSHOT`
    `ENABLE_EC_POLICY`
    `EXISTS`
    `GET_BYTES_WITH_FUTURE_GS`
    `GET_CONTENT_SUMMARY`
    `GET_EC_CODECS`
    `GET_EC_POLICIES`
    `GET_EC_POLICY`
    `GET_ENCRYPTION_ZONE`
    `GET_FILE_BLOCK_LOCATIONS`
    `GET_FILE_CHECKSUM`
    `GET_FILE_LINK_STATUS`
    `GET_FILE_STATUS`
    `GET_LINK_TARGET`
    `GET_QUOTA_USAGE`
    `GET_SNAPSHOT_DIFF`
    `GET_SNAPSHOTTABLE_DIRECTORY_LIST`
    `GET_STATUS`
    `GET_STORAGE_POLICIES`
    `GET_STORAGE_POLICY`
    `GET_TRASH_ROOT`
    `GET_XATTR`
    `LIST_CACHE_DIRECTIVE`
    `LIST_CACHE_POOL`
    `LIST_ENCRYPTION_ZONE`
    `LIST_LOCATED_STATUS`
    `LIST_STATUS`
    `MKDIRS`
    `MODIFY_ACL_ENTRIES`
    `MODIFY_CACHE_DIRECTIVE`
    `MODIFY_CACHE_POOL`
    `OPEN`
    `PRIMITIVE_CREATE`
    `PRIMITIVE_MKDIR`
    `REMOVE_ACL`
    `REMOVE_ACL_ENTRIES`
    `REMOVE_CACHE_DIRECTIVE`
    `REMOVE_CACHE_POOL`
    `REMOVE_DEFAULT_ACL`
    `REMOVE_EC_POLICY`
    `REMOVE_XATTR`
    `RENAME`
    `RENAME_SNAPSHOT`
    `RESOLVE_LINK`
    `SATISFY_STORAGE_POLICY`
    `SET_ACL`
    `SET_EC_POLICY`
    `SET_OWNER`
    `SET_PERMISSION`
    `SET_QUOTA_BYTSTORAGEYPE`
    `SET_QUOTA_USAGE`
    `SET_REPLICATION`
    `SET_STORAGE_POLICY`
    `SET_TIMES`
    `SET_XATTR`
    `TRUNCATE`
    `UNSET_EC_POLICY`
    `UNSET_STORAGE_POLICY`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DFSOpsCountStatistics.OpType` | `fromSymbol(String symbol)`
    `String` | `getSymbol()`
    `static DFSOpsCountStatistics.OpType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DFSOpsCountStatistics.OpType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADD_CACHE_DIRECTIVE

          public static final DFSOpsCountStatistics.OpType ADD_CACHE_DIRECTIVE

    - #### ADD_CACHE_POOL

          public static final DFSOpsCountStatistics.OpType ADD_CACHE_POOL

    - #### ADD_EC_POLICY

          public static final DFSOpsCountStatistics.OpType ADD_EC_POLICY

    - #### ALLOW_SNAPSHOT

          public static final DFSOpsCountStatistics.OpType ALLOW_SNAPSHOT

    - #### APPEND

          public static final DFSOpsCountStatistics.OpType APPEND

    - #### CONCAT

          public static final DFSOpsCountStatistics.OpType CONCAT

    - #### COPY_FROM_LOCAL_FILE

          public static final DFSOpsCountStatistics.OpType COPY_FROM_LOCAL_FILE

    - #### CREATE

          public static final DFSOpsCountStatistics.OpType CREATE

    - #### CREATE_ENCRYPTION_ZONE

          public static final DFSOpsCountStatistics.OpType CREATE_ENCRYPTION_ZONE

    - #### CREATE_NON_RECURSIVE

          public static final DFSOpsCountStatistics.OpType CREATE_NON_RECURSIVE

    - #### CREATE_SNAPSHOT

          public static final DFSOpsCountStatistics.OpType CREATE_SNAPSHOT

    - #### CREATE_SYM_LINK

          public static final DFSOpsCountStatistics.OpType CREATE_SYM_LINK

    - #### DELETE

          public static final DFSOpsCountStatistics.OpType DELETE

    - #### DELETE_SNAPSHOT

          public static final DFSOpsCountStatistics.OpType DELETE_SNAPSHOT

    - #### DISABLE_EC_POLICY

          public static final DFSOpsCountStatistics.OpType DISABLE_EC_POLICY

    - #### DISALLOW_SNAPSHOT

          public static final DFSOpsCountStatistics.OpType DISALLOW_SNAPSHOT

    - #### ENABLE_EC_POLICY

          public static final DFSOpsCountStatistics.OpType ENABLE_EC_POLICY

    - #### EXISTS

          public static final DFSOpsCountStatistics.OpType EXISTS

    - #### GET_BYTES_WITH_FUTURE_GS

          public static final DFSOpsCountStatistics.OpType GET_BYTES_WITH_FUTURE_GS

    - #### GET_CONTENT_SUMMARY

          public static final DFSOpsCountStatistics.OpType GET_CONTENT_SUMMARY

    - #### GET_EC_CODECS

          public static final DFSOpsCountStatistics.OpType GET_EC_CODECS

    - #### GET_EC_POLICY

          public static final DFSOpsCountStatistics.OpType GET_EC_POLICY

    - #### GET_EC_POLICIES

          public static final DFSOpsCountStatistics.OpType GET_EC_POLICIES

    - #### GET_ENCRYPTION_ZONE

          public static final DFSOpsCountStatistics.OpType GET_ENCRYPTION_ZONE

    - #### GET_FILE_BLOCK_LOCATIONS

          public static final DFSOpsCountStatistics.OpType GET_FILE_BLOCK_LOCATIONS

    - #### GET_FILE_CHECKSUM

          public static final DFSOpsCountStatistics.OpType GET_FILE_CHECKSUM

    - #### GET_FILE_LINK_STATUS

          public static final DFSOpsCountStatistics.OpType GET_FILE_LINK_STATUS

    - #### GET_FILE_STATUS

          public static final DFSOpsCountStatistics.OpType GET_FILE_STATUS

    - #### GET_LINK_TARGET

          public static final DFSOpsCountStatistics.OpType GET_LINK_TARGET

    - #### GET_QUOTA_USAGE

          public static final DFSOpsCountStatistics.OpType GET_QUOTA_USAGE

    - #### GET_STATUS

          public static final DFSOpsCountStatistics.OpType GET_STATUS

    - #### GET_STORAGE_POLICIES

          public static final DFSOpsCountStatistics.OpType GET_STORAGE_POLICIES

    - #### GET_STORAGE_POLICY

          public static final DFSOpsCountStatistics.OpType GET_STORAGE_POLICY

    - #### GET_TRASH_ROOT

          public static final DFSOpsCountStatistics.OpType GET_TRASH_ROOT

    - #### GET_XATTR

          public static final DFSOpsCountStatistics.OpType GET_XATTR

    - #### LIST_CACHE_DIRECTIVE

          public static final DFSOpsCountStatistics.OpType LIST_CACHE_DIRECTIVE

    - #### LIST_CACHE_POOL

          public static final DFSOpsCountStatistics.OpType LIST_CACHE_POOL

    - #### LIST_ENCRYPTION_ZONE

          public static final DFSOpsCountStatistics.OpType LIST_ENCRYPTION_ZONE

    - #### LIST_LOCATED_STATUS

          public static final DFSOpsCountStatistics.OpType LIST_LOCATED_STATUS

    - #### LIST_STATUS

          public static final DFSOpsCountStatistics.OpType LIST_STATUS

    - #### MODIFY_CACHE_POOL

          public static final DFSOpsCountStatistics.OpType MODIFY_CACHE_POOL

    - #### MODIFY_CACHE_DIRECTIVE

          public static final DFSOpsCountStatistics.OpType MODIFY_CACHE_DIRECTIVE

    - #### MKDIRS

          public static final DFSOpsCountStatistics.OpType MKDIRS

    - #### MODIFY_ACL_ENTRIES

          public static final DFSOpsCountStatistics.OpType MODIFY_ACL_ENTRIES

    - #### OPEN

          public static final DFSOpsCountStatistics.OpType OPEN

    - #### PRIMITIVE_CREATE

          public static final DFSOpsCountStatistics.OpType PRIMITIVE_CREATE

    - #### PRIMITIVE_MKDIR

          public static final DFSOpsCountStatistics.OpType PRIMITIVE_MKDIR

    - #### REMOVE_ACL

          public static final DFSOpsCountStatistics.OpType REMOVE_ACL

    - #### REMOVE_ACL_ENTRIES

          public static final DFSOpsCountStatistics.OpType REMOVE_ACL_ENTRIES

    - #### REMOVE_CACHE_DIRECTIVE

          public static final DFSOpsCountStatistics.OpType REMOVE_CACHE_DIRECTIVE

    - #### REMOVE_CACHE_POOL

          public static final DFSOpsCountStatistics.OpType REMOVE_CACHE_POOL

    - #### REMOVE_DEFAULT_ACL

          public static final DFSOpsCountStatistics.OpType REMOVE_DEFAULT_ACL

    - #### REMOVE_EC_POLICY

          public static final DFSOpsCountStatistics.OpType REMOVE_EC_POLICY

    - #### REMOVE_XATTR

          public static final DFSOpsCountStatistics.OpType REMOVE_XATTR

    - #### RENAME

          public static final DFSOpsCountStatistics.OpType RENAME

    - #### RENAME_SNAPSHOT

          public static final DFSOpsCountStatistics.OpType RENAME_SNAPSHOT

    - #### RESOLVE_LINK

          public static final DFSOpsCountStatistics.OpType RESOLVE_LINK

    - #### SATISFY_STORAGE_POLICY

          public static final DFSOpsCountStatistics.OpType SATISFY_STORAGE_POLICY

    - #### SET_ACL

          public static final DFSOpsCountStatistics.OpType SET_ACL

    - #### SET_EC_POLICY

          public static final DFSOpsCountStatistics.OpType SET_EC_POLICY

    - #### SET_OWNER

          public static final DFSOpsCountStatistics.OpType SET_OWNER

    - #### SET_PERMISSION

          public static final DFSOpsCountStatistics.OpType SET_PERMISSION

    - #### SET_QUOTA_BYTSTORAGEYPE

          public static final DFSOpsCountStatistics.OpType SET_QUOTA_BYTSTORAGEYPE

    - #### SET_QUOTA_USAGE

          public static final DFSOpsCountStatistics.OpType SET_QUOTA_USAGE

    - #### SET_REPLICATION

          public static final DFSOpsCountStatistics.OpType SET_REPLICATION

    - #### SET_STORAGE_POLICY

          public static final DFSOpsCountStatistics.OpType SET_STORAGE_POLICY

    - #### SET_TIMES

          public static final DFSOpsCountStatistics.OpType SET_TIMES

    - #### SET_XATTR

          public static final DFSOpsCountStatistics.OpType SET_XATTR

    - #### GET_SNAPSHOT_DIFF

          public static final DFSOpsCountStatistics.OpType GET_SNAPSHOT_DIFF

    - #### GET_SNAPSHOTTABLE_DIRECTORY_LIST

          public static final DFSOpsCountStatistics.OpType GET_SNAPSHOTTABLE_DIRECTORY_LIST

    - #### TRUNCATE

          public static final DFSOpsCountStatistics.OpType TRUNCATE

    - #### UNSET_EC_POLICY

          public static final DFSOpsCountStatistics.OpType UNSET_EC_POLICY

    - #### UNSET_STORAGE_POLICY

          public static final DFSOpsCountStatistics.OpType UNSET_STORAGE_POLICY

  - ### Method Detail

    - #### values

          public static DFSOpsCountStatistics.OpType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DFSOpsCountStatistics.OpType c : DFSOpsCountStatistics.OpType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DFSOpsCountStatistics.OpType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getSymbol

          public String getSymbol()

    - #### fromSymbol

          public static DFSOpsCountStatistics.OpType fromSymbol(String symbol)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.